Subject: Re: [PATCH] remove geometry support from ps3 storage driver

From: Christoph Hellwig <[email-masked]>
Date: Wed, 30 May 2007 12:12:05 +0200

On Tue, May 29, 2007 at 11:15:14AM +0200, Geert Uytterhoeven wrote:
> On Mon, 21 May 2007, Christoph Hellwig wrote:
> > On Mon, May 21, 2007 at 02:53:11PM +0200, Olaf Hering wrote:
> > > The old ps3_storage driver did not support DOS geometry, so there is no
> > > point to start adding code for it.
> > 
> > That's not quite true.  sd applies some heuristics  and has a default
> > geometry if there is no ->bios_param method.  Then again this whole
> > gemetry thing really only makes sense on x86.
> 
> Would it make sense to have a default implementation in block/ioctl.c?

Maybe.  Someone would have to look all over block drivers if there is
something common enough to be considered default.  Also some drivers
that never ran on x86 never supported it so they'd need a new method
that always returns an error.  I'm not sure whether it'll be worth it
in the end.